//
//  HistoryEntrySQLite.h
//  Calculator
//
//  Created by Kevin Johnson on 7/31/11.
//  Copyright 2011 Home. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <sqlite3.h>

@interface CalculatorMemory : NSObject {
    
    // Database variables
	NSString *databaseName;
	NSString *databasePath;
	
	// Array to store the CalculatorEntry objects
	NSMutableArray *calculatorEntries;
}

- (void) addCalculatorEntry:(NSString *)calculatorEntryString;
- (NSString *) recallMemory;
- (void) clearMemory;

@property (nonatomic, retain) NSMutableArray *calculatorEntries;

@end
