//
//  CalculatorViewController.h
//  Calculator
//
//  Created by Kevin Johnson on 7/31/11.
//  Copyright 2011 Home. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <sqlite3.h> // Import the SQLite database framework

#define CLEARED_SCREEN @"0"

@class CalculatorMemory;

@interface CalculatorViewController : UIViewController {
    UILabel *calculatorLabel;
    
    BOOL performingOper;
    BOOL allowDigitAppend;
    BOOL decimalAdded;
    
    //CalculatorMemory *calculatorMemory;
}

- (void)calculateResult;
- (IBAction)digitPressed:(UIButton *)sender;
- (IBAction)operPressed:(UIButton *)sender;
- (IBAction)equalsPressed:(UIButton *)sender;
- (IBAction)decimalPressed:(UIButton *)sender;
- (IBAction)clearPressed:(id)sender;
- (IBAction)trigPressed:(UIButton *)sender;
- (IBAction)memoryPressed:(UIButton *)sender;

@property (nonatomic, retain) CalculatorMemory *calculatorMemory;

@property (nonatomic, retain) IBOutlet UILabel *calculatorLabel;

@end
